# Note that this is NOT a relocatable package
%define ver      1.0.50
%define rel      4mdk
%define prefix   /usr

Summary: GNOME utility programs such as file search and calculator.
Name: gnome-utils
Version: %ver
Release: %rel
Copyright: LGPL
Group:  Graphical desktop/GNOME
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-utils/gnome-utils-%{ver}.tar.bz2
Source1: %{name}
BuildRoot: /var/tmp/gnome-utils-%{PACKAGE_VERSION}-root
Icon: gnome-utils-logo.xpm
URL: http://www.gnome.org

Patch2:gnome-utils-1.0.1-sparkle.patch.bz2

Docdir: %{prefix}/doc

%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

This package will install some GNOME utilities, such as the
file search tool, a calculator, an hexadeciaml aditor, etc.

%changelog
* Thu May 04 2000 dam's <damien@mandrakesoft.com> 1.0.50-4mdk
- corrected menu entries.

* Sun Apr 23 2000 dam's <damien@mandrakesoft.com> 1.0.50-3mdk
- added menu entries

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.50-2mdk
- fix group

* Fri Nov 26 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.50

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP check/build
- comment out some redhat stuff

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.13

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- cleaned %files
- changed Group:
- changed descriptions (calendar is nom on gnome-pim)

* Sun Aug 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.12
- remove Obsolete patch

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree

%prep
%setup

#%patch -p1 -b .fixdistr
%patch2 -p1 -b .sparkle

%build

CFLAGS="$RPM_OPT_FLAGS -DWITH_SPARKLES" ./configure --prefix=%prefix \
	--sysconfdir=/etc

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

#RH# sorry alan, new users will never get rid of this :)
#rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Utilities/gpenguin.desktop 

#RH# gshutdown isn't what we want at this time
#rm -f $RPM_BUILD_ROOT%{prefix}/bin/gshutdown
#rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/*/gshutdown.desktop
#rm -rf $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gshutdown

# strip binaries

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
        | grep troff | cut -d: -f1 | xargs bzip2 -9
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/man/man?/*

%config /etc/CORBA/servers/*

%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/pixmaps/*
%{prefix}/share/gnome/apps/*.desktop
%{prefix}/share/gnome/apps/*/*.desktop
%{prefix}/share/gnome/help/*
%{prefix}/share/gstripchart
%{prefix}/share/idl/*
%{prefix}/share/applets/*/*.desktop
/usr/lib/menu/*
